Debian Bug report logs - #521860
libpam-modules: libdb upgrade silently breaks pam_userdb.so

version graph

Package: db4.7-util; Maintainer for db4.7-util is Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>; Source for db4.7-util is src:db4.7.

Reported by: Raphael Rigo <ml-debian@twilight-hall.net>

Date: Mon, 30 Mar 2009 14:51:02 UTC

Severity: grave

Tags: squeeze

Fixed in version db4.7/4.7.25-20

Done: Ondřej Surý <ondrej@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Mon, 30 Mar 2009 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Rigo <ml-debian@twilight-hall.net>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 30 Mar 2009 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Rigo <ml-debian@twilight-hall.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Mon, 30 Mar 2009 16:49:09 +0200
Package: libpam-modules
Version: 1.0.1-9
Severity: grave
Justification: renders package unusable

A recent upgrade in libpam-modules makes it depend on libdb4.7, unfortunately
it seems DB files created with a previous version are NOT compatible with
version 4.7. This makes pam logins based on userdb break silently, with no
error message whatsoever. It would seem this setup is most commonly used for
vsftpd virtual users.

The only apparent solution is to recreate the database file with the newer db
tools.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages libpam-modules depends on:
ii  debconf [debconf-2.0]         1.5.26     Debian configuration management sy
ii  libc6                         2.9-6      GNU C Library: Shared libraries
ii  libdb4.7                      4.7.25-6   Berkeley v4.7 Database Libraries [
ii  libpam0g                      1.0.1-9    Pluggable Authentication Modules l
ii  libselinux1                   2.0.71-1   SELinux shared libraries

libpam-modules recommends no packages.

libpam-modules suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Mon, 30 Mar 2009 15:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 30 Mar 2009 15:45:13 GMT) Full text and rfc822 format available.

Message #10 received at 521860@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Raphael Rigo <ml-debian@twilight-hall.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Mon, 30 Mar 2009 15:43:18 +0000
On Mon, Mar 30, 2009 at 04:49:09PM +0200, Raphael Rigo wrote:
> A recent upgrade in libpam-modules makes it depend on libdb4.7, unfortunately
> it seems DB files created with a previous version are NOT compatible with
> version 4.7. This makes pam logins based on userdb break silently, with no
> error message whatsoever. It would seem this setup is most commonly used for
> vsftpd virtual users.
> 
> The only apparent solution is to recreate the database file with the newer db
> tools.

Can you specify what the "previous version" was?




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521860; Package libpam-modules. (Mon, 30 Mar 2009 15:58:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Mon, 30 Mar 2009 15:59:02 GMT) Full text and rfc822 format available.

Message #15 received at 521860@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Raphael Rigo <ml-debian@twilight-hall.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Mon, 30 Mar 2009 08:48:56 -0700
tags 521860 moreinfo
thanks

On Mon, Mar 30, 2009 at 04:49:09PM +0200, Raphael Rigo wrote:
> Package: libpam-modules
> Version: 1.0.1-9
> Severity: grave
> Justification: renders package unusable

> A recent upgrade in libpam-modules makes it depend on libdb4.7, unfortunately
> it seems DB files created with a previous version are NOT compatible with
> version 4.7. This makes pam logins based on userdb break silently, with no
> error message whatsoever. It would seem this setup is most commonly used for
> vsftpd virtual users.

> The only apparent solution is to recreate the database file with the newer db
> tools.

How did you create the db file initially?  There are not supposed to be any
on-disk incompatibilities with any recent versions of BDB unless you use
transactions, which we don't.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Mon, 30 Mar 2009 15:59:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Rigo <ml-debian@twilight-hall.net>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 30 Mar 2009 15:59:26 GMT) Full text and rfc822 format available.

Message #20 received at 521860@bugs.debian.org (full text, mbox):

From: Raphael Rigo <ml-debian@twilight-hall.net>
To: Steve Langasek <vorlon@debian.org>
Cc: 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Mon, 30 Mar 2009 17:50:44 +0200
Steve Langasek wrote:
> tags 521860 moreinfo
> thanks
> 
> On Mon, Mar 30, 2009 at 04:49:09PM +0200, Raphael Rigo wrote:
>> Package: libpam-modules
>> Version: 1.0.1-9
>> Severity: grave
>> Justification: renders package unusable
> 
>> A recent upgrade in libpam-modules makes it depend on libdb4.7, unfortunately
>> it seems DB files created with a previous version are NOT compatible with
>> version 4.7. This makes pam logins based on userdb break silently, with no
>> error message whatsoever. It would seem this setup is most commonly used for
>> vsftpd virtual users.
> 
>> The only apparent solution is to recreate the database file with the newer db
>> tools.
> 
> How did you create the db file initially?  There are not supposed to be any
> on-disk incompatibilities with any recent versions of BDB unless you use
> transactions, which we don't.
> 

I created it a long time ago (read "years"), probably using db3_load.

Unfortunately, it seems I overwrited the backup I had of the non working
file with a manipulation error. I will check if I have another backup of
it somewhere this evening.

Raphaël






Tags added: moreinfo Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 30 Mar 2009 15:59:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Mon, 30 Mar 2009 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît MERLET <benoit@chezmerlet.net>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 30 Mar 2009 22:15:04 GMT) Full text and rfc822 format available.

Message #27 received at 521860@bugs.debian.org (full text, mbox):

From: Benoît MERLET <benoit@chezmerlet.net>
To: Raphael Rigo <ml-debian@twilight-hall.net>
Cc: Steve Langasek <vorlon@debian.org>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Tue, 31 Mar 2009 00:11:57 +0200
Raphael Rigo a écrit :
> Steve Langasek wrote:
>> tags 521860 moreinfo
>> thanks
>>
>> On Mon, Mar 30, 2009 at 04:49:09PM +0200, Raphael Rigo wrote:
>>> Package: libpam-modules
>>> Version: 1.0.1-9
>>> Severity: grave
>>> Justification: renders package unusable
>>> A recent upgrade in libpam-modules makes it depend on libdb4.7, unfortunately
>>> it seems DB files created with a previous version are NOT compatible with
>>> version 4.7. This makes pam logins based on userdb break silently, with no
>>> error message whatsoever. It would seem this setup is most commonly used for
>>> vsftpd virtual users.
>>> The only apparent solution is to recreate the database file with the newer db
>>> tools.
>> How did you create the db file initially?  There are not supposed to be any
>> on-disk incompatibilities with any recent versions of BDB unless you use
>> transactions, which we don't.
>>
> 
> I created it a long time ago (read "years"), probably using db3_load.
> 
> Unfortunately, it seems I overwrited the backup I had of the non working
> file with a manipulation error. I will check if I have another backup of
> it somewhere this evening.
> 
> Raphaël

I ran into the same bug.

I have a backup of the inital db file which was created years ago with 
this command :

db3_load -T -t hash -f login.txt login.db

The workaround was to re-generate the db file using db4.7_load.

Here are some information about the former db file :

# db4.7_dump login.db.bkp
VERSION=3
format=bytevalue
type=hash
db_pagesize=4096
HEADER=END
DATA=END

# db4.7_dump -d a login.db.bkp
In-memory DB structure:
hash: 0x48000 (open called, read-only)
meta_pgno: 0
h_ffactor: 0
h_nelem: 0
h_hash: 0xb7fe02b0
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
page 0: hash metadata: LSN [0][0]: level 0
	magic: 0x61561
	version: 7
	pagesize: 4096
	type: 8
	keys: 0	records: 0
	free list: 0
	last_pgno: 0
	flags: 0
	uid: aa f3 19 0 1 8 0 0 30 f5 cf 49 40 15 0 0 0 0 0 0
	max_bucket: 1
	high_mask: 0x1
	low_mask:  0
	ffactor: 0
	nelem: 0
	h_charkey: 0x5e688dd1
	spare points: 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
0 0 0

Benoît





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521860; Package libpam-modules. (Thu, 02 Apr 2009 08:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Thu, 02 Apr 2009 08:36:07 GMT) Full text and rfc822 format available.

Message #32 received at 521860@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Benoît MERLET <benoit@chezmerlet.net>
Cc: Raphael Rigo <ml-debian@twilight-hall.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Thu, 2 Apr 2009 01:33:44 -0700
On Tue, Mar 31, 2009 at 12:11:57AM +0200, Benoît MERLET wrote:

> I ran into the same bug.

> I have a backup of the inital db file which was created years ago with  
> this command :

> db3_load -T -t hash -f login.txt login.db

> The workaround was to re-generate the db file using db4.7_load.

> Here are some information about the former db file :

> # db4.7_dump login.db.bkp
> VERSION=3
> format=bytevalue
> type=hash
> db_pagesize=4096
> HEADER=END
> DATA=END

If db4.7_dump works at all, I would expect pam_userdb to be able to handle
the file as well.  Do you get any useful information out of pam_userdb using
the 'debug' option when using this old db file?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Thu, 02 Apr 2009 08:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Rigo <ml-debian@twilight-hall.net>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Thu, 02 Apr 2009 08:45:08 GMT) Full text and rfc822 format available.

Message #37 received at 521860@bugs.debian.org (full text, mbox):

From: Raphael Rigo <ml-debian@twilight-hall.net>
To: Steve Langasek <vorlon@debian.org>
Cc: Benoît MERLET <benoit@chezmerlet.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Thu, 02 Apr 2009 10:39:35 +0200
Steve Langasek wrote:
> If db4.7_dump works at all, I would expect pam_userdb to be able to handle
> the file as well.  Do you get any useful information out of pam_userdb using
> the 'debug' option when using this old db file?
> 

I couldn't recover my old DB file but I remember that although
db4.7_dump could parse the headers, using "db4.7_dump -d a file.db"
which should have dumped everything, only the metadata was displayed,
not the data itself.

Raphaël




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#521860; Package libpam-modules. (Thu, 02 Apr 2009 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît MERLET <benoit@chezmerlet.net>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Thu, 02 Apr 2009 09:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 521860@bugs.debian.org (full text, mbox):

From: Benoît MERLET <benoit@chezmerlet.net>
To: Steve Langasek <vorlon@debian.org>
Cc: Raphael Rigo <ml-debian@twilight-hall.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Thu, 02 Apr 2009 10:58:57 +0200
[Message part 1 (text/plain, inline)]
Steve Langasek a écrit :
> If db4.7_dump works at all, I would expect pam_userdb to be able to handle
> the file as well.  Do you get any useful information out of pam_userdb using
> the 'debug' option when using this old db file?

I don't know where to put the 'debug' option...  I have generated the
file attached for you to reproduce.

# cat file.txt
foo
bar

# db3_load -T -t hash -f file.txt file.db
# ls -l
total 16
-rw------- 1 root root 12288 avr  2 10:47 file.db
-rw------- 1 root root     9 avr  2 10:47 file.txt

Hope this will be useful,

Benoît
[file.db (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#521860; Package libpam-modules. (Thu, 02 Apr 2009 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Thu, 02 Apr 2009 09:27:06 GMT) Full text and rfc822 format available.

Message #47 received at 521860@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Raphael Rigo <ml-debian@twilight-hall.net>
Cc: Benoît MERLET <benoit@chezmerlet.net>, 521860@bugs.debian.org
Subject: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Thu, 2 Apr 2009 02:22:32 -0700
reassign 521860 db
found 521860 4.7.25-6
thanks

On Thu, Apr 02, 2009 at 10:39:35AM +0200, Raphael Rigo wrote:
> Steve Langasek wrote:
> > If db4.7_dump works at all, I would expect pam_userdb to be able to handle
> > the file as well.  Do you get any useful information out of pam_userdb using
> > the 'debug' option when using this old db file?

> I couldn't recover my old DB file but I remember that although
> db4.7_dump could parse the headers, using "db4.7_dump -d a file.db"
> which should have dumped everything, only the metadata was displayed,
> not the data itself.

Ok, I can confirm this here with a simple test case that registers as
version: 7 according to db_dump: creating it with db3_load I'm unable to
see the data, creating it with db4.2_load I am.  My understanding is that
this is supposed to be supported since it's a version 7 db in both cases, so
I'm reassigning this to the db package.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Bug reassigned from package `libpam-modules' to `db'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 02 Apr 2009 09:27:10 GMT) Full text and rfc822 format available.

Bug marked as found in version 4.7.25-6. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 02 Apr 2009 09:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#521860; Package db. (Fri, 03 Apr 2009 06:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Fri, 03 Apr 2009 06:33:02 GMT) Full text and rfc822 format available.

Message #56 received at 521860@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Debian Bug Tracking System <521860@bugs.debian.org>
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: [Pkg-db-devel] Processed: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Fri, 3 Apr 2009 06:29:10 +0000
On Thu, Apr 02, 2009 at 09:27:13AM +0000, Debian Bug Tracking System wrote:
> Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
> Bug marked as found in version 4.7.25-6.

Possible fix; I'll add more information once I have Internet.

diff --git a/btree/bt_open.c b/btree/bt_open.c
index f03652d..d77c7d6 100644
--- a/btree/bt_open.c
+++ b/btree/bt_open.c
@@ -314,7 +314,7 @@ __bam_read_root(dbp, ip, txn, base_pgno, flags)
 
 		t->bt_meta = base_pgno;
 		t->bt_root = meta->root;
-		if (PGNO(meta) == PGNO_BASE_MD && !F_ISSET(dbp, DB_AM_RECOVER))
+		if (PGNO(meta) == PGNO_BASE_MD && meta->dbmeta.last_pgno > 0 && !F_ISSET(dbp, DB_AM_RECOVER))
 			__memp_set_last_pgno(mpf, meta->dbmeta.last_pgno);
 	} else {
 		DB_ASSERT(dbp->env,
diff --git a/hash/hash_open.c b/hash/hash_open.c
index f5e1d7f..769b583 100644
--- a/hash/hash_open.c
+++ b/hash/hash_open.c
@@ -110,6 +110,7 @@ __ham_open(dbp, ip, txn, name, base_pgno, flags)
 		if (F_ISSET(&hcp->hdr->dbmeta, DB_HASH_SUBDB))
 			F_SET(dbp, DB_AM_SUBDB);
 		if (PGNO(hcp->hdr) == PGNO_BASE_MD &&
+		     hcp->hdr->dbmeta.last_pgno > 0 &&
 		     !F_ISSET(dbp, DB_AM_RECOVER))
 			__memp_set_last_pgno(dbp->mpf,
 			    hcp->hdr->dbmeta.last_pgno);




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#521860; Package db. (Fri, 03 Apr 2009 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Fri, 03 Apr 2009 11:27:03 GMT) Full text and rfc822 format available.

Message #61 received at 521860@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Debian Bug Tracking System <521860@bugs.debian.org>
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: [Pkg-db-devel] Bug#521860: Processed: Re: Bug#521860: libpam-modules: libdb upgrade silently breaks pam_userdb.so
Date: Fri, 3 Apr 2009 11:25:02 +0000
severity 521860 grave
quit

On Fri, Apr 03, 2009 at 06:29:10AM +0000, Clint Adams wrote:
> -		if (PGNO(meta) == PGNO_BASE_MD && !F_ISSET(dbp, DB_AM_RECOVER))
> +		if (PGNO(meta) == PGNO_BASE_MD && meta->dbmeta.last_pgno > 0 && !F_ISSET(dbp, DB_AM_RECOVER))

> +		     hcp->hdr->dbmeta.last_pgno > 0 &&

So for me, on a v7 hash created with db3_load 3.2.9+dfsg-0.1, db4.7_dump will corrupt the database file
unless either -r or -R are specified.  With a v8 btree, a db4.7_dump -p will output correctly but a
db4.7_dump -d a will not.  In either case, dumping the v8 btree does not appear to lead to data loss.

a db4.7_verify on the v7 hash gives an error about an impossible max_buckets setting in the metadata
page.  It does this because it in the partially-quoted patch above, it clobbers the last_pgno setting
and compares 1, for instance, against 0 instead of 2.

I don't know if this fix is comprehensive and I don't know what it breaks.  I will attempt to escalate
this to Oracle.




Severity set to `grave' from `grave' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Fri, 03 Apr 2009 11:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ml-debian@twilight-hall.net, vorlon@debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#521860; Package db. (Thu, 08 Oct 2009 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to ml-debian@twilight-hall.net, vorlon@debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Thu, 08 Oct 2009 22:54:17 GMT) Full text and rfc822 format available.

Message #68 received at 521860@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 521860@bugs.debian.org
Subject: lack of upstream response
Date: Thu, 8 Oct 2009 22:45:59 +0000
http://forums.oracle.com/forums/thread.jspa?threadID=880991&tstart=0




Removed tag(s) moreinfo. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 24 Oct 2009 17:45:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'db' to 'db4.7-util'. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 15:45:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 4.7.25-6. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 15:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#521860; Package db4.7-util. (Thu, 23 Dec 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 23 Dec 2010 18:03:04 GMT) Full text and rfc822 format available.

Message #79 received at 521860@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Adams <schizo@debian.org>, 521860@bugs.debian.org
Subject: Re: Bug#521860: lack of upstream response
Date: Thu, 23 Dec 2010 19:01:10 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 521860 squeeze-can-defer
tag 521860 squeeze-ignore
kthxbye

On Thu, Oct  8, 2009 at 22:45:59 +0000, Clint Adams wrote:

> http://forums.oracle.com/forums/thread.jspa?threadID=880991&tstart=0
> 
It doesn't look like we'll be able to get this fixed soon, so tagging as
ignore for squeeze r0.  A fix would still be considered if it happens,
either before release or for a point update...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 18:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#521860; Package db4.7-util. (Thu, 23 Dec 2010 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 23 Dec 2010 20:42:03 GMT) Full text and rfc822 format available.

Message #86 received at 521860@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Adams <schizo@debian.org>, 521860@bugs.debian.org
Cc: release-notes@packages.debian.org
Subject: Re: Bug#521860: lack of upstream response
Date: Thu, 23 Dec 2010 21:38:02 +0100
[Message part 1 (text/plain, inline)]
affects 521860 release-notes
kthxbye

On Thu, Dec 23, 2010 at 19:01:10 +0100, Julien Cristau wrote:

> user release.debian.org@packages.debian.org
> usertag 521860 squeeze-can-defer
> tag 521860 squeeze-ignore
> kthxbye
> 
> On Thu, Oct  8, 2009 at 22:45:59 +0000, Clint Adams wrote:
> 
> > http://forums.oracle.com/forums/thread.jspa?threadID=880991&tstart=0
> > 
> It doesn't look like we'll be able to get this fixed soon, so tagging as
> ignore for squeeze r0.  A fix would still be considered if it happens,
> either before release or for a point update...
> 
It's probably worth a mention in the release notes though.  If anyone
looking at this bug could propose some wording for this, that would be
appreciated :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added indication that 521860 affects release-notes Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 20:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#521860; Package db4.7-util. (Thu, 30 Dec 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 30 Dec 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #93 received at 521860@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Clint Adams <schizo@debian.org>, 521860@bugs.debian.org
Cc: release-notes@packages.debian.org
Subject: Re: Bug#521860: lack of upstream response
Date: Thu, 30 Dec 2010 19:08:37 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec 23, 2010 at 21:38:02 +0100, Julien Cristau wrote:

> It's probably worth a mention in the release notes though.  If anyone
> looking at this bug could propose some wording for this, that would be
> appreciated :)
> 
Initial attempt below, comments welcome.

Index: en/issues.dbk
===================================================================
--- en/issues.dbk       (revision 7972)
+++ en/issues.dbk       (working copy)
@@ -58,6 +58,15 @@
 </para>
 </section>
 
+<section id="pam_userdb">
+<title>pam_userdb.so breakage with newer libdb</title>
+<para>
+Certain berkeley db version 7 files created with libdb3 can't be read by newer
+libdb versions. (see <ulink url="&url-bts;521860">bug#521860</ulink>).
+As a workaround, the files can be recreated with <command>db4.8_load</command>.
+</para>
+</section>
+
 <section id="window-scaling" condition="fixme">
 <title>Certain network sites cannot be reached by TCP</title>
 <para>

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#521860; Package db4.7-util. (Thu, 30 Dec 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 30 Dec 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #98 received at 521860@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: Clint Adams <schizo@debian.org>, 521860@bugs.debian.org, release-notes@packages.debian.org
Subject: Re: Bug#521860: lack of upstream response
Date: Thu, 30 Dec 2010 19:38:57 +0000
On Thu, 2010-12-30 at 19:08 +0100, Julien Cristau wrote:
> On Thu, Dec 23, 2010 at 21:38:02 +0100, Julien Cristau wrote:
> 
> > It's probably worth a mention in the release notes though.  If anyone
> > looking at this bug could propose some wording for this, that would be
> > appreciated :)
> > 
> Initial attempt below, comments welcome.
[...]
> +Certain berkeley db version 7 files created with libdb3 can't be read by newer

s/Certain/Some/ ?  I'm not sure if the RN has a policy on contractions
but "cannot" might be clearer for translators.

I suspect we also want "Berkeley Database".

> +libdb versions. (see <ulink url="&url-bts;521860">bug#521860</ulink>).
> +As a workaround, the files can be recreated with <command>db4.8_load</command>.

Worth mentioning db4.8-util here?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#521860; Package db4.7-util. (Tue, 04 Jan 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 04 Jan 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #103 received at 521860@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Clint Adams <schizo@debian.org>, 521860@bugs.debian.org, release-notes@packages.debian.org
Subject: Re: Bug#521860: lack of upstream response
Date: Tue, 4 Jan 2011 23:05:53 +0100
[Message part 1 (text/plain, inline)]
affects 521860 - release-notes
kthxbye

On Thu, Dec 30, 2010 at 19:38:57 +0000, Adam D. Barratt wrote:

> On Thu, 2010-12-30 at 19:08 +0100, Julien Cristau wrote:
> > On Thu, Dec 23, 2010 at 21:38:02 +0100, Julien Cristau wrote:
> > 
> > > It's probably worth a mention in the release notes though.  If anyone
> > > looking at this bug could propose some wording for this, that would be
> > > appreciated :)
> > > 
> > Initial attempt below, comments welcome.
> [...]
> > +Certain berkeley db version 7 files created with libdb3 can't be read by newer
> 
> s/Certain/Some/ ?  I'm not sure if the RN has a policy on contractions
> but "cannot" might be clearer for translators.
> 
> I suspect we also want "Berkeley Database".
> 
> > +libdb versions. (see <ulink url="&url-bts;521860">bug#521860</ulink>).
> > +As a workaround, the files can be recreated with <command>db4.8_load</command>.
> 
> Worth mentioning db4.8-util here?
> 
Thanks, included your suggestions and committed as r8012.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Removed indication that 521860 affects release-notes Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 04 Jan 2011 22:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>:
Bug#521860; Package db4.7-util. (Wed, 20 Apr 2011 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>. (Wed, 20 Apr 2011 10:48:13 GMT) Full text and rfc822 format available.

Message #110 received at 521860@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 521860@bugs.debian.org, control <control@bugs.debian.org>
Subject: Tagging as squeeze only
Date: Wed, 20 Apr 2011 12:45:44 +0200
tag 521860 +squeeze
tag 521860 -squeeze-ignore
thank you

Hi,

libpam-modules are compiles against libdb4.8 in unstable and testing
and they should be moving to lidb5.1 soon. Hence it doesn't affect pam
in unstable+testing anymore.

libdb4.7 is moving to oldlibs and is to be deprecated. Tagging this
bug as squeeze only and will fix it if upstream will fix it, otherwise
it will die with libdb4.7 after wheezy where db4.7-util will be
provided only for dumping old databases...

O.
-- 
Ondřej Surý <ondrej@sury.org>




Added tag(s) squeeze. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 10:48:20 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze-ignore. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 10:48:21 GMT) Full text and rfc822 format available.

Marked as fixed in versions db4.7/4.7.25-20. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 30 Jan 2013 11:00:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Wed, 30 Jan 2013 11:00:04 GMT) Full text and rfc822 format available.

Notification sent to Raphael Rigo <ml-debian@twilight-hall.net>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 11:00:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:01:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.